Skip to content

Download content data export

Request

When a job has a status of complete, and thus a filled download_url, you can download your data by hitting that provided URL, formatted like so: https://api.intercom.io/download/content/data/xyz1234.

Your exported message data will be streamed continuously back down to you in a gzipped CSV format.

📘 Octet header required

You will have to specify the header Accept: application/octet-stream when hitting this endpoint.

Security
bearerAuth
Path
job_identifierstringrequired

job_identifier

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.13"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.13
curl -i -X GET \
  'https://api.intercom.io/download/content/data/{job_identifier}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.13'

Responses

successful